﻿#variables to be modified to suite your site configuration
$sccm_module = "C:\Program Files (x86)\Microsoft Configuration Manager\AdminConsole\bin\ConfigurationManager.psd1"
Import-Module $sccm_module
$site_code = "CB1:"

# Default All Desktop and Server Clients
$AllWorkstationsCollectionId = "SMSDM003"


Set-Location $site_code

$schedule0 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:00
$schedule1 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:01
$schedule2 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:02
$schedule3 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:03
$schedule4 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:04
$schedule5 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:05
$schedule6 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:06
$schedule7 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:07
$schedule8 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:08
$schedule9 = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:09
$scheduleA = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:10
$scheduleB = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:11
$scheduleC = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:12
$scheduleD = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:13
$scheduleE = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:14
$scheduleF = New-CMSchedule -RecurCount 1 -RecurInterval Days -Start 21:15


#set all query variables
$query0 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%0'"
$query1 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%1'"
$query2 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%2'"
$query3 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%3'"
$query4 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%4'"
$query5 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%5'"
$query6 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%6'"
$query7 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%7'"
$query8 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%8'"
$query9 = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%9'"
$queryA = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%A'"
$queryB = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%B'"
$queryC = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%C'"
$queryD = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%D'"
$queryE = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%E'"
$queryF = "select SMS_R_System.ResourceID,SMS_R_System.ResourceType,SMS_R_System.Name,SMS_R_System.SMSUniqueIdentifier,SMS_R_System.ResourceDomainORWorkgroup,SMS_R_System.Client from SMS_R_System where  sms_r_system.smsuniqueidentifier LIKE '%F'"



# Create collections
New-CMDeviceCollection -Name "Deployment 0" -RefreshType Periodic -RefreshSchedule $schedule0 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 1" -RefreshType Periodic -RefreshSchedule $schedule1 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 2" -RefreshType Periodic -RefreshSchedule $schedule2 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 3" -RefreshType Periodic -RefreshSchedule $schedule3 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 4" -RefreshType Periodic -RefreshSchedule $schedule4 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 5" -RefreshType Periodic -RefreshSchedule $schedule5 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 6" -RefreshType Periodic -RefreshSchedule $schedule6 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 7" -RefreshType Periodic -RefreshSchedule $schedule7 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 8" -RefreshType Periodic -RefreshSchedule $schedule8 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment 9" -RefreshType Periodic -RefreshSchedule $schedule9 -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment A" -RefreshType Periodic -RefreshSchedule $scheduleA -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment B" -RefreshType Periodic -RefreshSchedule $scheduleB -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment C" -RefreshType Periodic -RefreshSchedule $scheduleC -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment D" -RefreshType Periodic -RefreshSchedule $scheduleD -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment E" -RefreshType Periodic -RefreshSchedule $scheduleE -LimitingCollectionId $AllWorkstationsCollectionId
New-CMDeviceCollection -Name "Deployment F" -RefreshType Periodic -RefreshSchedule $scheduleF -LimitingCollectionId $AllWorkstationsCollectionId

# create query rules 
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 0" -QueryExpression $query0 -RuleName "Deployment 0"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 1" -QueryExpression $query1 -RuleName "Deployment 1"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 2" -QueryExpression $query2 -RuleName "Deployment 2"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 3" -QueryExpression $query3 -RuleName "Deployment 3"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 4" -QueryExpression $query4 -RuleName "Deployment 4"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 5" -QueryExpression $query5 -RuleName "Deployment 5"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 6" -QueryExpression $query6 -RuleName "Deployment 6"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 7" -QueryExpression $query7 -RuleName "Deployment 7"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 8" -QueryExpression $query8 -RuleName "Deployment 8"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment 9" -QueryExpression $query9 -RuleName "Deployment 9"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment A" -QueryExpression $queryA -RuleName "Deployment A"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment B" -QueryExpression $queryB -RuleName "Deployment B"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment C" -QueryExpression $queryC -RuleName "Deployment C"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment D" -QueryExpression $queryD -RuleName "Deployment D"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment E" -QueryExpression $queryE -RuleName "Deployment E"
Add-CMDeviceCollectionQueryMembershipRule -CollectionName "Deployment F" -QueryExpression $queryF -RuleName "Deployment F"
